# MovieTrackingReconstructedCameras(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MovieTrackingReconstructedCameras`(bpy_struct)

  Collection of solved cameras

  `find_frame`(frame=1)

    Find a reconstructed camera for a give frame number

    Parameters: | frame (int in [0, 300000], (optional)) – Frame, Frame number to find camera for
    Returns: | Camera for a given frame
    Return type: | `MovieReconstructedCamera`

  `matrix_from_frame`(frame=1)

    Return interpolated camera matrix for a given frame

    Parameters: | frame (int in [0, 300000], (optional)) – Frame, Frame number to find camera for
    Returns: | Matrix, Interpolated camera matrix for a given frame
    Return type: | float array of 16 items in [0, inf]

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MovieTrackingReconstruction.cameras` |